// SimpleRx - the slave or the receiver

#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#define CE_PIN A5
#define CSN_PIN A4
#define VIB 6
#define BUT 7
#define LED1 A6
#define LED2 A7

const byte thisSlaveAddress[5] = {'R', 'x', 'A', 'A', 'A'};

RF24 radio(CE_PIN, CSN_PIN);
int x[4];
bool newData = false;
//===========
int state = 3;   // counter for the number of button presses
int ModeState = 0;         // current state of the button
int lastModeState = 0;

void setup() {
  pinMode(VIB, OUTPUT);
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(BUT, INPUT_PULLUP);


  Serial.begin(115200);

  Serial.println("SimpleRx Starting");
  radio.begin();
  radio.setDataRate( RF24_250KBPS  );
  radio.openReadingPipe(1, thisSlaveAddress);
  radio.startListening();
}

//=============

void loop() {


  button();
  getData();
  showData();
  feedback();


}

void button() {
  // read the pushbutton input pin:
  ModeState = digitalRead(BUT);


  // compare the ModeState to its previous state
  if (ModeState != lastModeState) {
    // if the state has changed, increment the counter
    if (ModeState == LOW) {
      // if the current state is HIGH then the button went from off to on:
      state++;



      if (state == 4) {

        state = 1;

      }
    } else {
      // if the current state is LOW then the button went from on to off:
      //  Serial.println("off");
    }
    delay (15);
    // Delay a little bit to avoid bouncing

  }
  // save the current state as the last state, for next time through the loop
  lastModeState = ModeState;


  // turns on the LED every four button pushes by checking the modulo of the
  // button push counter. the modulo function gives you the remainder of the
  // division of two numbers:


}
//==============

void getData() {
  if ( radio.available() ) {
    radio.read( &x, sizeof(x) );

    newData = true;
  }
}

void showData() {
  if (newData == true) {
        Serial.print(x[1]);
        Serial.print(" ");
    
        Serial.println(x[2]);
    newData = false;
  }
}


void one() {

  if ((x[1] == 0) or (x[1] == 7))
  {
    digitalWrite(VIB, LOW);
  }
  else
  {
    digitalWrite(VIB, HIGH);
  }
}
void left() {

  if ((x[1] > 0) and (x[1] < 4) or (x[1] == 6))
  {
    digitalWrite(VIB, HIGH);
  }
  else
  {
    digitalWrite(VIB, LOW);
  }
}
void right() {

  if ((x[1] > 2) and (x[1] < 7))
  {
    digitalWrite(VIB, HIGH);
  }
  else
  {
    digitalWrite(VIB, LOW);
  }
}

void feedback() {
  if (state == 1) {
    left();
       digitalWrite(LED1, HIGH);
     digitalWrite(LED2, LOW);
    //  Serial.println(mode);
  }


  if (state == 2) {
    digitalWrite(LED2, HIGH);
        digitalWrite(LED1, LOW);

    right();
    //  Serial.println(mode);
  }
  if (state == 3) {
    one();
       digitalWrite(LED1, HIGH);
          digitalWrite(LED2, HIGH);
    // Serial.println(mode);
  }
  //Serial.println(state);
}
